# getDeclaredMembers abstract method

List<Object> getDeclaredMembers()

Gets all members (fields, methods, constructors) declared in this class.

Returns:

- Combined list of all class members
- Empty list if no members exist

Example:

    final members = Class.forType<MyClass>().getDeclaredMembers();
    members.forEach((m) {
      if (m is Field) print('Field: ${m.name}');
      if (m is Method) print('Method: ${m.name}');
    });

Ordering:

- Fields appear before methods
- Declaration order is not guaranteed

## Implementation

    List<Object> getDeclaredMembers();